package ch.zhaw.catan;

public abstract class Structure {
    private final Config.Faction faction;

    public Structure(Config.Faction faction) {
        this.faction = faction;
    }

    public String toString() {
        return faction.toString();
    }

    public Config.Faction getFaction() {
        return faction;
    }
}
